package com.chenyang.nse.bussiness.entity.vo.maskingrule;

public class MaskingInfoRuleVO {
   private String rulegroupname;
   private String rulename;
   private String ruledemo;
   private String subjectarea;
   private String mappletname;
   private String engineid;
   private String ruleid;
   private String inforuleid;

   public MaskingInfoRuleVO() {
   }

   public MaskingInfoRuleVO(String rulegroupname, String rulename, String ruledemo, String subjectarea, String mappletname, String engineid, String ruleid, String inforuleid) {
      this.rulegroupname = rulegroupname;
      this.rulename = rulename;
      this.ruledemo = ruledemo;
      this.subjectarea = subjectarea;
      this.mappletname = mappletname;
      this.engineid = engineid;
      this.ruleid = ruleid;
      this.inforuleid = inforuleid;
   }

   public String getRulegroupname() {
      return this.rulegroupname;
   }

   public void setRulegroupname(String rulegroupname) {
      this.rulegroupname = rulegroupname;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getRuledemo() {
      return this.ruledemo;
   }

   public void setRuledemo(String ruledemo) {
      this.ruledemo = ruledemo;
   }

   public String getSubjectarea() {
      return this.subjectarea;
   }

   public void setSubjectarea(String subjectarea) {
      this.subjectarea = subjectarea;
   }

   public String getMappletname() {
      return this.mappletname;
   }

   public void setMappletname(String mappletname) {
      this.mappletname = mappletname;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getRuleid() {
      return this.ruleid;
   }

   public void setRuleid(String ruleid) {
      this.ruleid = ruleid;
   }

   public String getInforuleid() {
      return this.inforuleid;
   }

   public void setInforuleid(String inforuleid) {
      this.inforuleid = inforuleid;
   }
}
